using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FaenkoStudents
{
    public partial class Form5 : Form
    {
        public Form5()
        {
            InitializeComponent();
        }

        private void оценкиBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.оценкиBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.badretdinovStudentsDataSet);

        }

        private void Form5_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "badretdinovStudentsDataSet.Оценки". При необходимости она может быть перемещена или удалена.
            this.оценкиTableAdapter.Fill(this.badretdinovStudentsDataSet.Оценки);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form1 t = new Form1();
            t.Show();
            this.Hide();
        }

        private void средний_балTextBox_TextChanged(object sender, EventArgs e)
        {
            
        }

        private void оценка_1TextBox_TextChanged(object sender, EventArgs e)
        {

        }

        private void оценка_2TextBox_TextChanged(object sender, EventArgs e)
        {

        }

        private void оценка_3TextBox_TextChanged(object sender, EventArgs e)
        {

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            textBox1.Text = ((double.Parse(оценка_1TextBox.Text) + double.Parse(оценка_2TextBox.Text) + double.Parse(оценка_3TextBox.Text)) / 3).ToString();
        }
    }
 }

